USN-5054-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-5054-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5054-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5054-2
Related
Published
2021-09-03T18:48:59.370705Z
Modified
2021-09-03T18:48:59.370705Z
Summary
uwsgi vulnerability
Details

USN-5054-1 fixed a vulnerability in uWSGI for Ubuntu 18.04 LTS. This update provides the corresponding fixes for Ubuntu 14.04 ESM and Ubuntu 16.04 ESM.

Original advisory details:

Felix Wilhelm discovered a buffer overflow flaw in the modproxyuwsgi module. An attacker could use this vulnerability to provoke an information disclosure or potentially remote code execution.

References

Affected packages

Ubuntu:Pro:14.04:LTS / uwsgi

Package

Name
uwsgi

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.9.17.1-5ubuntu0.1+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "uwsgi-plugin-pyerl-python": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-ldap": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-greenlet-python": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-php": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-app-integration-plugins": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-lua5.2": "1.9.17.1-5ubuntu0.1+esm1",
            "python-uwsgidecorators": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-rack-ruby1.9.1": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-core": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-alarm-xmpp": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-psgi": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-geoip": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-jwsgi-openjdk-6": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-alarm-curl": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-sqlite3": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-lua5.1": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-infrastructure-plugins": "1.9.17.1-5ubuntu0.1+esm1",
            "libapache2-mod-proxy-uwsgi": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-xslt": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-router-access": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-graylog2": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-jvm-openjdk-6": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-jvm-openjdk-7": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-emperor": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-extra": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-fiber": "1.9.17.1-5ubuntu0.1+esm1",
            "python3-uwsgidecorators": "1.9.17.1-5ubuntu0.1+esm1",
            "libapache2-mod-uwsgi": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-python": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugins-all": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-jwsgi-openjdk-7": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-v8": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-pyerl-python3": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-erlang": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-rbthreads": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-python3": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-curl-cron": "1.9.17.1-5ubuntu0.1+esm1",
            "uwsgi-plugin-emperor-pg": "1.9.17.1-5ubuntu0.1+esm1",
            "libapache2-mod-ruwsgi": "1.9.17.1-5ubuntu0.1+esm1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / uwsgi

Package

Name
uwsgi

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.12-5ubuntu3.2+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "uwsgi-plugin-ldap": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-greenlet-python": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-php": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-app-integration-plugins": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-lua5.2": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-rados": "2.0.12-5ubuntu3.2+esm1",
            "python-uwsgidecorators": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-luajit": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-core": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-alarm-xmpp": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-psgi": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-geoip": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-sqlite3": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-alarm-curl": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-lua5.1": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-infrastructure-plugins": "2.0.12-5ubuntu3.2+esm1",
            "libapache2-mod-proxy-uwsgi": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-ring-openjdk-8": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-xslt": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-jvm-openjdk-8": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-src": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-graylog2": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-jwsgi-openjdk-8": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-router-access": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-glusterfs": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-extra": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-asyncio-python": "2.0.12-5ubuntu3.2+esm1",
            "python3-uwsgidecorators": "2.0.12-5ubuntu3.2+esm1",
            "libapache2-mod-uwsgi": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-fiber": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-emperor": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-v8": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugins-all": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-asyncio-python3": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-gccgo": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-rack-ruby2.3": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-python": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-rbthreads": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-gevent-python": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-mono": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-python3": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-tornado-python": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-curl-cron": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-servlet-openjdk-8": "2.0.12-5ubuntu3.2+esm1",
            "uwsgi-plugin-emperor-pg": "2.0.12-5ubuntu3.2+esm1",
            "libapache2-mod-ruwsgi": "2.0.12-5ubuntu3.2+esm1"
        }
    ]
}